VPS侦探论坛

 找回密码
 注册
查看: 179|回复: 5

ubuntu16.04 1.6安装php5.6失败

[复制链接]
发表于 2019-9-17 16:22:37 | 显示全部楼层 |阅读模式



本帖最后由 dmlzj 于 2019-9-17 16:25 编辑

Add mysql service at system startup...
23731 Add php-fpm service at system startup...
23732 Starting php-fpm /etc/init.d/php-fpm: 57: /etc/init.d/php-fpm: /usr/local/php/sb      in/php-fpm: not found
23733  failed
23734 ============================== Check install ==============================
23735 Checking ...
23736 ^[[0;32mNginx: OK^[[0m
23737 ^[[0;32mMySQL: OK^[[0m
23738 ^[[0;31mError: PHP install failed.^[[0m
23739 ^[[0;31mSorry, Failed to install LNMP!^[[0m
23740 ^[[0;31mPlease visit https://bbs.vpser.net/forum-25-1.html feedback errors and l      ogs.^[[0m
23741 ^[[0;31mYou can download /root/lnmp-install.log from your server,and upload lnmp      -install.log to LNMP Forum.^[[0m

from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.h:26      ,
15464                  from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.cpp:      21:
15465 /usr/include/unicode/umachine.h:340:13: error: �~@~Xchar16_t�~@~Y does not name       a type
15466      typedef char16_t UChar;
15467              ^
15468 In file included from /usr/include/unicode/utypes.h:39:0,
15469                  from /usr/include/unicode/unistr.h:32,
15470                  from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.h:26      ,
15471                  from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.cpp:      21:
15472 /usr/include/unicode/uversion.h:173:55: error: �~@~XUChar�~@~Y does not name a t      ype
15473  u_versionFromUString(UVersionInfo versionArray, const UChar *versionString);
15474                                                        ^
15475 In file included from /usr/include/unicode/unistr.h:33:0,
15476                  from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.h:26      ,
15477                  from /root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.cpp:      21:
15478 /usr/include/unicode/char16ptr.h:46:31: error: expected �~@~X)�~@~Y before �~@~X      *�~@~Y token
15479      inline Char16Ptr(char16_t *p);
15480                                ^
15481 /usr/include/unicode/char16ptr.h:69:37: error: expected �~@~X)�~@~Y before �~@~X      p�~@~Y
15482      inline Char16Ptr(std::nullptr_t p);
15483                                      ^
15484 /usr/include/unicode/char16ptr.h:81:12: error: �~@~Xchar16_t�~@~Y does not name       a type
15485      inline char16_t *get() const;
15486             ^
15487 /usr/include/unicode/char16ptr.h:87:21: error: �~@~Xchar16_t�~@~Y does not name       a type
15488      inline operator char16_t *() const { return get(); }


Makefile:964: recipe for target 'ext/intl/intl_convertcpp.lo' failed
20716 make: *** [ext/intl/intl_convertcpp.lo] Error 1



美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-9-17 19:31:31 | 显示全部楼层



checking for ICU 4.0 or greater... found 63.1

/root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.cpp:28:84: error: expected primary-expression before ‘*’ token
int intl_stringFromChar(UnicodeString &ret, char *str, int32_t str_len, UErrorCode *status)
                                                                                    ^
/root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp.cpp:28:85: error: ‘status’ was not declared in this scope
int intl_stringFromChar(UnicodeString &ret, char *str, int32_t str_len, UErrorCode *status)
                                                                                     ^
Makefile:964: recipe for target 'ext/intl/intl_convertcpp.lo' failed
make: *** [ext/intl/intl_convertcpp.lo] Error 1

你提供的日志不完整,按你发的系统是ubuntu16.04,这个版本自带的icu版本问55.1,但是上面日志上显示php检测到的版本为63.1
有可能你自己升级或者通过其他渠道进行了升级日志不完整无法确定,icu 63.1的版本只能选择安装php 7.1或更高版本,低于 php 7.1都不支持这个icu高版本的
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-9-18 10:44:58 | 显示全部楼层



licess 发表于 2019-9-17 19:31
checking for ICU 4.0 or greater... found 63.1

/root/lnmp1.6/src/php-5.6.40/ext/intl/intl_convertcpp ...

我发现这个icu版本问题了,然后我把版本降到了55.1,但是安装的时候,又给升级到了63.1!不知道是哪个地方执行的这个检测不符合。。。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2019-9-18 12:20:27 | 显示全部楼层

dmlzj 发表于 2019-9-18 10:44
我发现这个icu版本问题了,然后我把版本降到了55.1,但是安装的时候,又给升级到了63.1!不知道是哪个地方 ...

发新的完整日志看一下

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2019-9-18 13:33:23 | 显示全部楼层

licess 发表于 2019-9-18 12:20
发新的完整日志看一下

问题找到了,服务器的源有问题,把那个源删了,再把icu版本降下来就好了!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-10-22 12:42 , Processed in 0.046954 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表